Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class ConnectorPlacement

    java.lang.Object
      SEdit.ConnectorPlacement

    public class ConnectorPlacement

extends java.lang.Object

Field Summary
`static int` | `BOTTOM`
`static int` | `LEFT`
`static int` | `RIGHT`
`static int` | `TOP`
`static int` | `UNSPECIFIED`

Constructor Summary
`ConnectorPlacement()`
`ConnectorPlacement(int s)`
`ConnectorPlacement(int s, double r)`

Method Summary
`double` | `getRatio()` Get the value of yratio.
`int` | `getSide()`
`void` | `setRatio(double v)` Set the value of yratio.
`void` | `setSide(int v)` Set the value of side.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNSPECIFIED

    public static final int UNSPECIFIED

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### TOP

    public static final int TOP

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

Constructor Detail

### ConnectorPlacement

    public ConnectorPlacement()

### ConnectorPlacement

    public ConnectorPlacement(int s)

### ConnectorPlacement

    public ConnectorPlacement(int s,
                              double r)

Method Detail

### getRatio

    public double getRatio()

  Get the value of yratio.

  Returns:
    Value of yratio.

### setRatio

    public void setRatio(double v)

  Set the value of yratio.

  Parameters:
    `v` - Value to assign to yratio.

### getSide

    public int getSide()

### setSide

    public void setSide(int v)

  Set the value of side.

  Parameters:
    `v` - Value to assign to side.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.